%define major	1
%define libname	%mklibname %{name} %{major}
%define devname	%mklibname %{name} -d
%define uname	bladeRF
#define rcver

Name:		bladerf
Version:	2016.06
Release:	%mkrel 1%{?rcver:.%{rcver}.1}
Summary:	A Software Defined Radio (SDR) platform
Group:		Communications/Radio
License:	GPLv2
URL:		http://nuand.com/
# https://github.com/Nuand/bladeRF/archive/2016.01-rc1.tar.gz
Source0:	https://github.com/Nuand/%{uname}/archive/%{uname}-%{version}%{?rcver:-%{rcver}}.tar.gz
Source1:	https://github.com/Nuand/%{uname}/releases/download/2014.12-rc1/lib%{uname}-v1.1.0-doc.tar.bz2
Patch0:		bladeRF-2016.06-mga-udev_rules_Makefile.patch
BuildRequires:	cmake
BuildRequires:	pkgconfig(libusb-1.0)

%description
%{uname} is a Software Defined Radio (SDR) platform designed to enable a
community of hobbyists, and professionals to explore and experiment with the
multidisciplinary facets of RF communication.

%package -n %{libname}
Summary:	Library files for %{uname}
Group:		System/Libraries
Requires:	%{name} = %{version}-%{release}

%package -n %{devname}
Summary:	Development files for %{uname}
Group:		System/Libraries
Requires:	%{libname} = %{version}-%{release}
Requires:	%{name} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	%{uname}-devel = %{version}-%{release}

%description -n %{devname}
Files needed to develop software against libbladerf.

%description -n %{libname}
bladerf library files.

%package doc
Summary:	HTML documentation for %{uname}
Group:		Documentation
BuildArch:	noarch

%description doc
HTML documentation for %{uname}

%prep
%setup -q -a 1 -n %{uname}-%{version}%{?rcver:-%{rcver}}
%autopatch -p1

%build
mkdir build
cd build
cmake ../host \
    -DCMAKE_INSTALL_PREFIX=%{_usr}

%install
make -C build install DESTDIR=%{buildroot}

mkdir -p %{buildroot}%{_udevrulesdir}
mv %{buildroot}%{_sysconfdir}/udev/rules.d/88-nuand.rules %{buildroot}%{_udevrulesdir}/88-nuand.rules

#Documentation and desktop file
mkdir -p %{buildroot}%{_docdir}/%{name}/html/
cp -r lib%{uname}-v1.1.0-doc/* %{buildroot}%{_docdir}/%{name}/html
mkdir -p %{buildroot}%{_iconsdir}
cp %{buildroot}%{_docdir}/%{name}/html/logo-padded.png %{buildroot}%{_iconsdir}/%{name}.png

cat > %{name}-doc.desktop << EOF
[Desktop Entry]
Version=1.0
Name=BladeRF Documentation
GenericName=BladeRF Documentation
Exec=xdg-open /usr/share/doc/%{name}/html/index.html
Icon=%{name}
Terminal=false
Type=Application
Categories=System;Documentation;X-Mageia-CrossDesktop;
X-Desktop-File-Install-Version=0.19
EOF

desktop-file-install \
--dir=%{buildroot}%{_datadir}/applications %{name}-doc.desktop

%files
%doc CONTRIBUTORS README.md
%{_udevrulesdir}/88-nuand.rules
%{_bindir}/%{uname}-cli

%files -n %{libname}
%{_libdir}/lib%{uname}.so.%{major}{,.*}

%files -n %{devname}
%{_includedir}/lib%{uname}.h
%{_libdir}/pkgconfig/lib%{uname}.pc
%{_libdir}/lib%{uname}.so

%files doc
%{_docdir}/%{name}/html
%{_datadir}/applications/%{name}-doc.desktop
%{_iconsdir}/%{name}.png


%changelog
* Mon Sep 05 2016 barjac <barjac> 2016.06-1.mga6
+ Revision: 1050045
- new full version 2016-06
- re-diff makefile patch

* Fri Jul 15 2016 barjac <barjac> 2016.01-0.rc1.2.mga6
+ Revision: 1042173
- fix for Mga#18949 (bladerf systemd-udevd : specified group plugdev unknown

* Mon Jan 11 2016 barjac <barjac> 2016.01-0.rc1.1.mga6
+ Revision: 921526
- new version 2016.01-rc1

* Wed Aug 26 2015 barjac <barjac> 2015.07-1.mga6
+ Revision: 870064
- new version 2015.07

* Fri Jan 16 2015 barjac <barjac> 2014.11-1.mga5
+ Revision: 810965
- Import package bladerf

